Skip to main content
GET
/
deliveries
Deliveries
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/deliveries \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/deliveries"

headers = {
    "x-client-secret": "<x-client-secret>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/deliveries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "nodes": [
    {
      "credit_batch_size_total": {
        "credit_kgs": 123,
        "credits": 123
      },
      "delivered_at": "2023-11-07T05:31:56Z",
      "from_supplier": {
        "id": "spl_1CC712KFS1S0YKPS",
        "location": {
          "country_code": "<string>",
          "country_name": "<string>",
          "latitude": 0,
          "longitude": 0,
          "description": "<string>"
        },
        "long_description": "<string>",
        "organisation": {
          "domain": "isometric.com",
          "id": "org_1GB56M1ST1S0GVNA",
          "name": "<string>"
        },
        "short_description": "<string>"
      },
      "id": "dlv_1C454ZXA61S03Z9T",
      "notes": "Delivered with care.",
      "order_id": "ord_1FAN3S3WV1S0B842",
      "to_organisation": {
        "domain": "isometric.com",
        "id": "org_1GB56M1ST1S0GVNA",
        "name": "<string>"
      },
      "url": "<string>"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  },
  "total_count": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Query Parameters

from_supplier_id
string | null
Required string length: 20 - 37
Example:

"spl_1CC712KFS1S0YKPS"

to_organisation_id
string | null
Required string length: 20 - 37
Example:

"org_1GB56M1ST1S0GVNA"

last
integer
default:10

An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
before
string | null

An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.

Minimum string length: 1
first
integer
default:10

An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
after
string | null

An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.

Minimum string length: 1

Response

Successful Response

nodes
Delivery · object[]
required
page_info
PageInfo · object
required
total_count
integer
required